Subject: Re: Windows NT version of grep -- Does it do recursive file searc
From: "Alain Magloire" <[email-masked]>
To: [email-masked] (Frank Chang)
Cc: [email-masked]
Date: Sun, 28 May 2000 15:11:15 -0400 (EDT)

> 
>    Alain Magloire,
> 
> 	Thank you very much for help. I just grabbed bash.exe from CGYWIN
> and installed in c:\winnt\system32. Then I typed bash and it created the
> environment you referred. Then I typed grep "Clara" *.java from within the
> shell and it responded with error message: grep: *.java: No such file or
> directory. Could you please tell me what I am doing wrong? 
> 

It means you do not have any files with the extension ".java" in your
current directory. if you type "ls *.java" does it give the same
error ?

Since this has nothing more to do with GNU grep, I'm redirecting you
to the cygwin mailing list for proper assistant.  I believe
the website is still
http://sourceware.cygnus.com/cygwin/

> -----Original Message-----
> From: Alain Magloire [mailto:[email-masked]]
> Sent: Sunday, May 28, 2000 2:37 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: Windows NT version of grep -- Does it do recursive file
> searches?
> 
> 
> Bonjour
> 
> > 	Hi,
> > 		I just installed gnu's version of grep and somehow I can't
> > get it to do recursive file searches like I can from OSF: UNIX grep
> "Clara"
> > --recursive *.cpp. Could you please tell me if there is a way I can use
> > GNU's grep to do recursive file searches? Thank you very much.
> 
> Grep does not do "recursive file searches" but recursive directories.
> The expansion of "*.cpp" is not done by grep but by the shell on the Unix
> side.
> 
> I think it is a common deception, on some OS (DOS/Windows).  The programs
> do the wilcard expansions, on Un*x it is done by the shell.
> 
> You may wish to grab "Cygwin" for Windows NT,
> DJGPP for Windows9X and below to recreate a "Un*x" like env.
> They all have "bash" where things like 'grep "Clara" *.cpp'
> will work as expected.
> 
> The solution is for ports of grep, who do not expect this environment,
> to be compile with the necessary modules, this is done for example, VMS
> port where "*.cpp" is expanded by grep.  Same thing for "pure"(.i.e not
> DJGPP nor CygWin) porting under Windows.
> 
> 
> -- 
> au revoir, alain
> ----
> Aussi haut que l'on soit assis, on est toujours assis que sur son cul !!!
> 

-- 
au revoir, alain
----
Aussi haut que l'on soit assis, on est toujours assis que sur son cul !!!

--
Want to unsubscribe from this list?
Send a message to [email-masked]